.news__container {
    display: block;
    margin: 0 0 80px 0;
    position: relative;
}

/* .news__item {
    display: flex;
    border-radius: 20px;
    overflow: hidden;
    margin-bottom: 20px;
} */

.news__prev-pic {
    height: 370px;
    position: relative;
}

.news__prev-pic img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.news__date {
    position: absolute;
    top: 12px;
    left: 12px;
    width: fit-content;
    background: #fff;
    padding: 4px 12px;
    font-family: var(--main-font-medium);
    border-radius: 20px;
    box-shadow: 0px 4px 16px 0px rgba(34, 60, 80, 0.15);
}

.news__wrapper {
    background-color: #f7f7f7;
    padding: 15px;
}

.news__item-title {
    margin: 0 0 20px 0;
}

.news__item-title a {
    text-decoration: none;
    transition: 0.2s;
    color: var(--color-black);
}

.news__item-title a:hover {
    color: rgba(40, 40, 40, 0.5);
}

.hreft_r {
    display: inline-block;
    padding: 8px 16px;
    border: 1px solid black;
    border-radius: 30px;
    color: black;
    text-decoration: none;
    transition: 0.5s;
}

.hreft_r:hover {
    background: black;
    color: white;
    transition: 0.5s;
}

.news__slider-next, 
.news__slider-prev {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: 1px solid #131313;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
}

.news__slider-next {
    position: absolute;
    top: calc(50% - 20px);
    right: -20px;
    z-index: 10;
}

.news__slider-prev {
    position: absolute;
    top: calc(50% - 20px);
    left: -20px;
    z-index: 10;
    transform: rotate(180deg);
  }


.news__slider-next.swiper-button-disabled, 
.news__slider-prev.swiper-button-disabled {
    display: none;
}

/* чтобы все слайды имели одинаковую высоту */
.news__slider .swiper-wrapper {
    display: flex;
    align-items: stretch;
}

.news__slider .swiper-slide {
    height: auto;
    display: flex;
}

/* карточка занимает всю высоту слайда */
.news__item {
    border-radius: 20px;
    overflow: hidden;
    height: 100%;
}

/* контент внутри карточки */
.news__wrapper {
    background-color: rgba(247, 247, 247, 1);
    padding: 28px 20px;
    display: flex;
    flex-direction: column;
    flex: 1;
    border-radius: 0 0 20px 20px;
}

/* текст растягивается */
.news__item-prev-text {
    font-family: var(--main-font-medium);
    font-size: 16px;
    line-height: 22px;
    margin-bottom: 20px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    overflow: hidden;
    text-overflow: ellipsis;
}

.news__item-title h3{
    font-family: var(--main-font-semi-bold);
    font-size: 24px;
    line-height: 28px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-bottom: 0;
    min-height: 56px;
}

@media(max-width:1100px) {
    .news__container {
        grid-template-columns: repeat(2, 1fr)
    }
}

@media(max-width:650px) {
    .news__container {
        grid-template-columns: repeat(1, 1fr)
    }

    .news__item{display: block;}
    .news__prev-pic{width: 100%;}

    .news__date {
        padding: 4px 8px;
        font-size: 12px;
    }

    .news__wrapper {
        padding: 20px 12px;
    }

    div.catalog-display--news-holder h3 {
        font-size: 16px;
        line-height: 20px;
        min-height: 39px;
    }

    .news__item-prev-text {
        font-size: 14px;
        line-height: 18px;
    }

    div.catalog-display--news-holder .news__prev-pic {
        height: 235px;
    }
}